package de.jottyfan.quickiemod.items;

import de.jottyfan.quickiemod.blocks.QuickieBlocks;
import net.minecraft.block.BlockState;
import net.minecraft.block.Blocks;
import net.minecraft.item.Item;
import net.minecraft.item.ItemUsageContext;
import net.minecraft.util.ActionResult;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 *
 * @author jotty
 *
 */
public class ItemCanolaseed extends Item {

	public ItemCanolaseed() {
		super(new Item.Settings().maxCount(64));
	}

	@Override
	public ActionResult useOnBlock(ItemUsageContext context) {
		BlockPos pos = context.getBlockPos();
		World world = context.getWorld();
		if (QuickieItems.CANOLASEED.getItem().equals(context.getStack().getItem())) {
			BlockState state = world.getBlockState(pos);
			if (Blocks.FARMLAND.equals(state.getBlock()) && world.getBlockState(pos.up()).isAir()) {
				world.setBlockState(pos.up(), QuickieBlocks.CANOLAPLANT.getBlock().getDefaultState());
				context.getStack().decrement(1);
			}
		}
		return super.useOnBlock(context);
	}
}
