package de.jottyfan.quickiemod.items;

import java.util.List;

import com.google.common.collect.Lists;

import de.jottyfan.quickiemod.items.mat.QuickieToolMaterial;
import net.minecraft.block.Block;
import net.minecraft.block.BlockState;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.PickaxeItem;

/**
 *
 * @author jotty
 *
 */
public class ToolQuickiepowderPickaxe extends PickaxeItem implements ToolRangeable {

	public static final int[] DEFAULT_HARVEST_RANGE = new int[] { 6, 6, 6 };
	private final static QuickieToolMaterial MATERIAL = QuickieToolMaterial.of(7f, 2400, 15, 1f, QuickieItems.SPEEDINGOT.getItem());

	public ToolQuickiepowderPickaxe() {
		super(MATERIAL, new Item.Settings().attributeModifiers(PickaxeItem.createAttributeModifiers(MATERIAL, 7F, -3.1F)));
	}

	@Override
	public HarvestRange getRange(ItemStack stack) {
		return new HarvestRange(DEFAULT_HARVEST_RANGE);
	}

	@Override
	public boolean canBreakNeighbors(BlockState blockIn) {
		return new ItemStack(this).isSuitableFor(blockIn);
	}

	@Override
	public List<Block> getBlockList(Block block) {
		return Lists.newArrayList(block);
	}

//	@Override
//	public ActionResult<ItemStack> onItemRightClick(World worldIn, PlayerEntity playerIn, Hand handIn) {
//		CommonToolCode.onItemRightClick(worldIn, playerIn, handIn);
//		return super.onItemRightClick(worldIn, playerIn, handIn);
//	}
//
//	@Override
//	public void addInformation(ItemStack stack, World worldIn, List<ITextComponent> tooltip, ITooltipFlag flagIn) {
//		CommonToolCode.addInformation(stack, worldIn, tooltip, flagIn);
//		super.addInformation(stack, worldIn, tooltip, flagIn);
//	}
}
