package de.jottyfan.quickiemod.items.mat;

import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ToolMaterial;
import net.minecraft.recipe.Ingredient;
import net.minecraft.registry.tag.BlockTags;
import net.minecraft.registry.tag.TagKey;

/**
 *
 * @author jotty
 *
 */
public class QuickieToolMaterial implements ToolMaterial {

	private final float attackDamage;
	private final int durability;
	private final int enchantability;
	private final float miningSpeedMuliplier;
	private final Item item;

	private QuickieToolMaterial(float attackDamage, int durability, int enchantability, float miningSpeedMultiplier, Item item) {
		this.attackDamage = attackDamage;
		this.durability = durability;
		this.enchantability = enchantability;
		this.miningSpeedMuliplier = miningSpeedMultiplier;
		this.item = item;
	}

	public static final QuickieToolMaterial of(float attackDamage, int durability, int enchantability, float miningSpeedMultiplier, Item item) {
		return new QuickieToolMaterial(attackDamage, durability, enchantability, miningSpeedMultiplier, item);
	}

	@Override
	public float getAttackDamage() {
		return attackDamage;
	}

	@Override
	public int getDurability() {
		return durability;
	}

	@Override
	public int getEnchantability() {
		return enchantability;
	}

	@Override
	public TagKey<Block> getInverseTag() {
		return BlockTags.INCORRECT_FOR_IRON_TOOL;
	}

	@Override
	public float getMiningSpeedMultiplier() {
		return miningSpeedMuliplier;
	}

	@Override
	public Ingredient getRepairIngredient() {
		return Ingredient.ofItems(item);
	}
}
